require 'rails_helper'

RSpec.describe "crm/dining_queues/index", type: :view do
  before(:each) do
    assign(:crm_dining_queues, [
      Crm::DiningQueue.create!(
        :name => "Name",
        :contact => "Contact",
        :queue_no => "Queue No"
      ),
      Crm::DiningQueue.create!(
        :name => "Name",
        :contact => "Contact",
        :queue_no => "Queue No"
      )
    ])
  end

  it "renders a list of crm/dining_queues" do
    render
    assert_select "tr>td", :text => "Name".to_s, :count => 2
    assert_select "tr>td", :text => "Contact".to_s, :count => 2
    assert_select "tr>td", :text => "Queue No".to_s, :count => 2
  end
end
